gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.RadioMenuItemAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype RadioMenuItemAccessible = RadioMenuItemAccessible (ManagedPtr RadioMenuItemAccessible)
- class (GObject o, IsDescendantOf RadioMenuItemAccessible o) => IsRadioMenuItemAccessible o
- toRadioMenuItemAccessible :: (MonadIO m, IsRadioMenuItemAccessible o) => o -> m RadioMenuItemAccessible

# Exported types

newtype RadioMenuItemAccessible Source #

Memory-managed wrapper type.

Constructors

RadioMenuItemAccessible (ManagedPtr RadioMenuItemAccessible) |

#### Instances

Instances details

Eq RadioMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioMenuItemAccessible Methods (==) :: RadioMenuItemAccessible -> RadioMenuItemAccessible -> Bool Source # (/=) :: RadioMenuItemAccessible -> RadioMenuItemAccessible -> Bool Source #
GObject RadioMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioMenuItemAccessible
ManagedPtrNewtype RadioMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioMenuItemAccessible Methods toManagedPtr :: RadioMenuItemAccessible -> ManagedPtr RadioMenuItemAccessible Source #
TypedObject RadioMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioMenuItemAccessible Methods glibType :: IO GType Source #
HasParentTypes RadioMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioMenuItemAccessible
IsGValue (Maybe RadioMenuItemAccessible) Source # | Convert `RadioMenuItemAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.RadioMenuItemAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe RadioMenuItemAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe RadioMenuItemAccessible) Source #
type ParentTypes RadioMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioMenuItemAccessible type ParentTypes RadioMenuItemAccessible = '[CheckMenuItemAccessible, MenuItemAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Selection]

class (GObject o, IsDescendantOf RadioMenuItemAccessible o) => IsRadioMenuItemAccessible o Source #

Type class for types which can be safely cast to `RadioMenuItemAccessible`, for instance with `toRadioMenuItemAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf RadioMenuItemAccessible o) => IsRadioMenuItemAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.RadioMenuItemAccessible

toRadioMenuItemAccessible :: (MonadIO m, IsRadioMenuItemAccessible o) => o -> m RadioMenuItemAccessible Source #

Cast to `RadioMenuItemAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.